com.brightcove.player.mediacontroller

## Class DefaultTimedThumbnailFilter

- java.lang.Object
- - com.brightcove.player.mediacontroller.DefaultTimedThumbnailFilter

- All Implemented Interfaces:
    TimedThumbnailFilter

      public class DefaultTimedThumbnailFilter
      extends java.lang.Object
      implements TimedThumbnailFilter

  Filters a given `ThumbnailDocument` alowing a maximum number of `MAX_NUMBER_OF_TIMED_THUMBNAILS` `TimedThumbnail`. The `TimedThumbnail`s are selected with the same distance from one another and its start and end time are updated to avoid gaps between them.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_NUMBER_OF_TIMED_THUMBNAILS` Default number of `TimedThumbnail` allowed in a `ThumbnailDocument`

    - ### Fields inherited from interface com.brightcove.player.mediacontroller.TimedThumbnailFilter

      `NO_FILTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTimedThumbnailFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TimedThumbnail>` | `filter(java.util.List<TimedThumbnail> originalTimedThumbnailList)` Receives the list of `TimedThumbnail` and iterates over all available `TimedThumbnail` and selects a sublist of it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_NUMBER_OF_TIMED_THUMBNAILS

          public static final int MAX_NUMBER_OF_TIMED_THUMBNAILS

      Default number of `TimedThumbnail` allowed in a `ThumbnailDocument`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultTimedThumbnailFilter

          public DefaultTimedThumbnailFilter()

  - ### Method Detail

    - #### filter

          @NonNull
          public java.util.List<TimedThumbnail> filter(@NonNull
                                                                java.util.List<TimedThumbnail> originalTimedThumbnailList)

      Description copied from interface: `TimedThumbnailFilter`
      Receives the list of `TimedThumbnail` and iterates over all available `TimedThumbnail` and selects a sublist of it.
      Specified by:
        `filter` in interface `TimedThumbnailFilter`
      Parameters:
        `originalTimedThumbnailList` - the list of `TimedThumbnail` to be filtered.
      Returns:
        the filtered list of `TimedThumbnail`